EC_STR_PARSE_ULLINT(3)

NAME
ec_str_parse_ullint - Parse a string for an unsigned integer.

SYNOPSIS
#include <ecoli/string.h>

int ec_str_parse_ullint(
    const char   *str,   /* The string to parse. */
    unsigned int  base,  /* The base (0 means "guess"). */
    uint64_t      min,   /* The minimum allowed value. */
    uint64_t      max,   /* The maximum allowed value. */
    uint64_t     *val    /* The pointer to the value to be set on success. */
);

RETURN VALUE

On success, return 0. Otherwise, return -1 and set errno.

SEE ALSO

ec_str_parse_llint(3), ec_str_startswith(3), ec_str_is_space(3), ec_strcmp_count(3), ec_str_quote(3), ec_str_wrap(3)

COPYRIGHT

Copyright (C) 2010-2026 Olivier Matz, Robin Jarry.